Subject: Re: bug#54606: 27.1; next/previous image command in image-mode triggers tramp connections for all remote dired buffers

From: Michael Albinus <[email-masked]>
Date: Fri, 01 Apr 2022 09:06:14 +0200

Phil Sainty <[email-masked]> writes:

Hi Phil,

>>> If you want to go *this* direction, there would be a simple change:
>>> 	             (equal (file-remote-p dir)
>>> 		            (file-remote-p default-directory))
>>> file-remote-p doesn't do anything on wire.
>> I think that sounds like a good change here anyway.
>
> Agreed -- if I'd checked to see what file-remote-p actually
> returned, I would done this myself from the outset.
>
> I've tested this approach in isolation, and it works well
> in my test instance.

So I've pushed this to master.

> I've not yet tested to see whether the `non-essential'
> change is similarly efficient in a newer version with a
> similar session.

It will help for buffers with a broken remote connection. I've pushed
this change as well.

> Lars' suggestion of having these commands NOT checking
> every dired buffer every time also seems very sensible.

>From my pov, this bug could be closed. However, I'll keep it open in
case something else shall be changed, too. But that I won't investigate
myself.

> -Phil

Best regards, Michael.